package ca.dss.dacs;

// $Id: DACSAUTH.java 1701 2007-02-16 23:24:01Z FEDROOT::SVN:brachman $

public class DACSAUTH
{
  /**
   * The program entry point. Call it as:
   * java ca.dss.dacs.dacsauth arg ...
   */
  public static void main(String args[])
    {
      DACSAUTH rc = new DACSAUTH(args);
      System.out.println( "{" + rc + "}" );
    }
  
  /**
   * Default constructor: calls the dacsauth_jni() method which is defined
   * (below) as a native method!
   */
  public DACSAUTH(String args[])
    {
      super();
      rc = dacsauth(args);	// call the native method
    }

  /**
   * This is the definition of our native method. NOTICE THAT IT HAS NO
   * BODY. The static block following it is executed as part of the class
   * construction.
   */
  private native int dacsauth(String args[]);

  static {
      System.loadLibrary("java-rlt-dacsjni");
    }

  // the constructor stores here the result of the native method call
  private int rc;
}
